Package SimPy :: Module SimPlot :: Class GraphLine

[hide private]
[frames] | no frames]

# Class GraphLine

source code

    GraphPoints --+
                  |
                 GraphLine

Instance Methods | [hide private]

`` | __init__(self, points, **attr)
`` | draw(self, canvas)
Inherited from `GraphPoints`: `boundingBox`, `fitToScale`

Class Variables | [hide private]

`` | _attributes = `{'color': 'black', 'width': 1, 'splinesteps': 12, 's...`

Method Details | [hide private]

### __init__(self, points, **attr)
(Constructor)

source code

None

  Overrides: GraphPoints.__init__

### draw(self, canvas)

source code

None

Class Variable Details | [hide private]

### _attributes

None

  Value:

        {'color': 'black', 'width': 1, 'splinesteps': 12, 'smooth': 0}